
#ifndef __CLOCK_ARCH_H__
#define __CLOCK_ARCH_H__

typedef int clock_time_t;

#define CLOCK_CONF_SECOND   (1000)                              /*   1 ms*/
/** The Os tick in (ms)*/
#define OS_TICK             (CLOCK_CONF_SECOND / 100)           /*  10  ms*/
/** Number of Os ticks per 10 (ms) */
#define OS_TICKS_10MS         (1)
/** Number of Os ticks per 100 (ms) */
#define OS_TICKS_100MS       (10)
/** Number of Os ticks per 1 (s) */
#define OS_TICKS_1S         (100)                               /*1000 ms*/


void clock_init(void);
#endif /* __CLOCK_ARCH_H__ */

